"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportProcessor = void 0;
const processor_1 = require("./processor");
/**
 * Processor for `import module from 'module'`
 */
class ImportProcessor extends processor_1.Processor {
    parse(node) {
        if (this.ts.isImportDeclaration(node) && this.ts.isStringLiteral(node.moduleSpecifier)) {
            return {
                node,
                moduleName: node.moduleSpecifier.text,
            };
        }
        return null;
    }
    updateModuleName(moduleName, { node }) {
        return this.factory.updateImportDeclaration(node, node.modifiers, node.importClause, this.factory.createStringLiteral(moduleName), node.assertClause);
    }
}
exports.ImportProcessor = ImportProcessor;
//# sourceMappingURL=import-processor.js.map